Index: doc/html/functions_0x64.html
===================================================================
--- doc/html/functions_0x64.html (revision 323)
+++ doc/html/functions_0x64.html (revision 353)
@@ -70,4 +70,7 @@
       <li><a href="functions_func.html"><span>Functions</span></a></li>
       <li><a href="functions_vars.html"><span>Variables</span></a></li>
+      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
       <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
     </ul>
@@ -85,4 +88,5 @@
       <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
       <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
+      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
       <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
       <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
@@ -98,4 +102,5 @@
       <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
       <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
+      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
       <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
       <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
@@ -111,8 +116,26 @@
 : <a class="el" href="classbdm_1_1Kalman.html#7b56ac423d0654b5755e4f852a870456">bdm::Kalman&lt; sq_T &gt;</a>
 , <a class="el" href="classldmat.html#4cce04824539c4a8d062d9a36d6e014e">ldmat</a>
+, <a class="el" href="classitpp_1_1MOG__generic.html#c03e7ca34817d33ecb3ec87f54e07cd7">itpp::MOG_generic</a>
 <li>d2t
 : <a class="el" href="classIMpmsm2o.html#74954dedce055db9ee50d53790e8341c">IMpmsm2o</a>
+<li>d_prof
+: <a class="el" href="classitpp_1_1Channel__Specification.html#e1576e671665a3974e80a9e2d63c9621">itpp::Channel_Specification</a>
+, <a class="el" href="classitpp_1_1TDL__Channel.html#8403c04165821ec65d6ac0a4d6a39b6d">itpp::TDL_Channel</a>
+<li>data
+: <a class="el" href="classitpp_1_1Array.html#d6ae1c2800467bc2a5895b70f1c76cf6">itpp::Array&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1Mat.html#7625e06c1080d04538d4d05d14dc6384">itpp::Mat&lt; Num_T &gt;</a>
+, <a class="el" href="classitpp_1_1Vec.html#6a4144a82cbf195a37f6ca2eb4c1f5f8">itpp::Vec&lt; Num_T &gt;</a>
 <li>Data
 : <a class="el" href="classbdm_1_1MemDS.html#a724f4cbfc32e79bacc044253234e260">bdm::MemDS</a>
+<li>data_bytes
+: <a class="el" href="structitpp_1_1it__file__base_1_1data__header.html#78ff64d39dab4c1254141593fd3469dc">itpp::it_file_base::it_file_base::data_header</a>
+<li>data_encoding
+: <a class="el" href="classitpp_1_1SND__Format.html#26f6ebb3d6d736cec02b55df443b16df">itpp::SND_Format</a>
+<li>Data_Event()
+: <a class="el" href="classitpp_1_1Data__Event.html#7d9dc9d82a06e3a2cc2095e2c402af59">itpp::Data_Event&lt; ObjectType, DataType &gt;</a>
+<li>data_ok
+: <a class="el" href="classitpp_1_1GF2mat__sparse__alist.html#ff9879ed9038a9f433a4ba75132a256e">itpp::GF2mat_sparse_alist</a>
+<li>data_size
+: <a class="el" href="classitpp_1_1SND__Format.html#3fcda8c137af97cff21c29170993dbf4">itpp::SND_Format</a>
 <li>dataind()
 : <a class="el" href="classbdm_1_1RV.html#cbebdb5e0d30101a6eb63550ef701c55">bdm::RV</a>
@@ -121,4 +144,7 @@
 <li>datalink_m2m()
 : <a class="el" href="classbdm_1_1datalink__m2m.html#3baed32cb66f0e2f731032cec0a4d287">bdm::datalink_m2m</a>
+<li>datasize
+: <a class="el" href="classitpp_1_1Mat.html#a41129a4b85c79ffd8955dab994c3545">itpp::Mat&lt; Num_T &gt;</a>
+, <a class="el" href="classitpp_1_1Vec.html#180ba106926488875eb1736acc915c07">itpp::Vec&lt; Num_T &gt;</a>
 <li>DBG
 : <a class="el" href="classbdm_1_1merger.html#14081d8c5cffdcc6c2f81cb61da41dbe">bdm::merger</a>
@@ -127,37 +153,149 @@
 <li>debug_file()
 : <a class="el" href="classbdm_1_1merger.html#94b5358c9558a8389ac78a65b83244f6">bdm::merger</a>
+<li>dec_method
+: <a class="el" href="classitpp_1_1LDPC__Code.html#fae3d84382be09abb61569fc1dd22023">itpp::LDPC_Code</a>
+<li>decode()
+: <a class="el" href="classitpp_1_1Channel__Code.html#904ec5436185e2b0b3838e834c24637d">itpp::Channel_Code</a>
+, <a class="el" href="classitpp_1_1Turbo__Codec.html#fc1136d97669fcdc0a7a72e8b27ed450">itpp::Turbo_Codec</a>
+, <a class="el" href="classitpp_1_1Channel__Code.html#da54df6cfcd16e2f6e21dbcc3e4c87f8">itpp::Channel_Code</a>
+, <a class="el" href="classitpp_1_1Vector__Quantizer.html#5c0e94884ce8109500d0e1e80e8f6f49">itpp::Vector_Quantizer</a>
+, <a class="el" href="classitpp_1_1Dummy__Code.html#d8d95f95987abdafe06716f27d7002e7">itpp::Dummy_Code</a>
+, <a class="el" href="classitpp_1_1Scalar__Quantizer.html#9fbb81df938f0fa61df1ce1ecd7335c8">itpp::Scalar_Quantizer</a>
+, <a class="el" href="classitpp_1_1Dummy__Code.html#aa62756d7870fc741eee0c7576551215">itpp::Dummy_Code</a>
+, <a class="el" href="classitpp_1_1Convolutional__Code.html#f3bf2206a471342563a4080e42d6b435">itpp::Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1CRC__Code.html#4d476aa00a59477941717ae4b37e4f84">itpp::CRC_Code</a>
+, <a class="el" href="classitpp_1_1Extended__Golay.html#2cf29cba49dee11ff6459b8eb21b2a8f">itpp::Extended_Golay</a>
+, <a class="el" href="classitpp_1_1Hamming__Code.html#cf97e226ec6c64105be98167afe01ee1">itpp::Hamming_Code</a>
+, <a class="el" href="classitpp_1_1BCH.html#4bd690a4d1751a153c7be314b56e8fc5">itpp::BCH</a>
+, <a class="el" href="classitpp_1_1LDPC__Code.html#99fb8f359baa6fb4aaa1e8e46dcd5281">itpp::LDPC_Code</a>
+, <a class="el" href="classitpp_1_1BCH.html#98738e6bb7e6283b13e224e09c92d781">itpp::BCH</a>
+, <a class="el" href="classitpp_1_1LDPC__Code.html#dec3a0be8d3331253a86f6c70f71e4cd">itpp::LDPC_Code</a>
+, <a class="el" href="classitpp_1_1BCH.html#9cded457c757bdab2c078892e0254641">itpp::BCH</a>
+, <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#f6f6621fc90d8d3774e5228846eafcd5">itpp::Punctured_Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1BCH.html#9adca6b209636ad8a54c8bf59ac30642">itpp::BCH</a>
+, <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#75e880d4c8cfd973d4459c0593cd304e">itpp::Punctured_Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1Channel__Code.html#e6c5afdb8f2760f27d64663f94587b9a">itpp::Channel_Code</a>
+, <a class="el" href="classitpp_1_1Reed__Solomon.html#7d081de5dc6c44daf3b1b83317ea5b10">itpp::Reed_Solomon</a>
+, <a class="el" href="classitpp_1_1Channel__Code.html#5ca72fa5944f5d7ad86f690a4fd92db7">itpp::Channel_Code</a>
+, <a class="el" href="classitpp_1_1Reed__Solomon.html#adf4c2642d4ad4ec8e9486650cdbb796">itpp::Reed_Solomon</a>
+<li>decode_block()
+: <a class="el" href="classitpp_1_1Turbo__Codec.html#3e5e49a33be7d478a15b4d3b4168f7eb">itpp::Turbo_Codec</a>
+<li>decode_soft_out()
+: <a class="el" href="classitpp_1_1LDPC__Code.html#fcddb278cb81265d6354094087dfcaca">itpp::LDPC_Code</a>
+<li>decode_tail()
+: <a class="el" href="classitpp_1_1Convolutional__Code.html#9f42d8c8bdb51460ebc7d43deb93bad7">itpp::Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#8c706434a618852db7304b6e699c0194">itpp::Punctured_Convolutional_Code</a>
+<li>decode_tailbite()
+: <a class="el" href="classitpp_1_1Convolutional__Code.html#94f2b7f77dc08fc0fb975735762be742">itpp::Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#841c9437974ffa14ff10385e9729f59d">itpp::Punctured_Convolutional_Code</a>
+<li>decode_trunc()
+: <a class="el" href="classitpp_1_1Convolutional__Code.html#d92e8a3b194cc00bf29e060fb90b666a">itpp::Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#13be31ca6bcd770cad2a7120315bc6dd">itpp::Punctured_Convolutional_Code</a>
+<li>decoder_parameterization()
+: <a class="el" href="classitpp_1_1LDPC__Code.html#315028cb705384218de166866966bd8c">itpp::LDPC_Code</a>
+<li>deinterleave()
+: <a class="el" href="classitpp_1_1Block__Interleaver.html#0c82b6bed55a14a3f7b8580668ab4bc5">itpp::Block_Interleaver&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1Cross__Interleaver.html#850e2ed09d92d38bdb60d9c04cd01d98">itpp::Cross_Interleaver&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1Sequence__Interleaver.html#8394055c94d125c12995bf418dc356c0">itpp::Sequence_Interleaver&lt; T &gt;</a>
+<li>del()
+: <a class="el" href="classitpp_1_1Vec.html#23d8bb89a3ceb8a7e0b9f08af5eae067">itpp::Vec&lt; Num_T &gt;</a>
+<li>del_col()
+: <a class="el" href="classitpp_1_1Mat.html#0c436069f0a5414b274f6cc86bb8b2f4">itpp::Mat&lt; Num_T &gt;</a>
+<li>del_cols()
+: <a class="el" href="classitpp_1_1Mat.html#9db4e8cd9c668041322a5270adddd1da">itpp::Mat&lt; Num_T &gt;</a>
+<li>del_row()
+: <a class="el" href="classitpp_1_1Mat.html#f4f49a495af9c2b4b8a466606112e338">itpp::Mat&lt; Num_T &gt;</a>
+<li>del_rows()
+: <a class="el" href="classitpp_1_1Mat.html#68eca77c93b20eadc4220aa7825f335c">itpp::Mat&lt; Num_T &gt;</a>
 <li>delays
 : <a class="el" href="classbdm_1_1MemDS.html#166522aed4d3b12d9b3c2afaf6673301">bdm::MemDS</a>
 <li>delta
 : <a class="el" href="classbdm_1_1eWishartCh.html#1879a14d7d2bb05062523b189baa11c3">bdm::eWishartCh</a>
+<li>delta_t
+: <a class="el" href="classitpp_1_1Base__Event.html#1620ad79858e3690a47502639c848f71">itpp::Base_Event</a>
+, <a class="el" href="classitpp_1_1Packet__Generator.html#0aba6afa0735618ca9927c19a37de03a">itpp::Packet_Generator</a>
+, <a class="el" href="classitpp_1_1Poisson__Packet__Generator.html#f0c8e2402a9f7a23e831fd48d0cedc14">itpp::Poisson_Packet_Generator</a>
+, <a class="el" href="classitpp_1_1Constant__Rate__Packet__Generator.html#754dd944d4fb50c987a8eeba36cb80df">itpp::Constant_Rate_Packet_Generator</a>
+, <a class="el" href="classitpp_1_1Burst__WWW__Packet__Generator.html#55fc15deb868ef1bfcf848779b12978b">itpp::Burst_WWW_Packet_Generator</a>
+<li>demodulate()
+: <a class="el" href="classitpp_1_1Modulator.html#845b5fbf4dad59edd3772627250623a1">itpp::Modulator&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1OFDM.html#e0d94ac54128bd44f48a17ad4a1ade90">itpp::OFDM</a>
+<li>demodulate_bits()
+: <a class="el" href="classitpp_1_1Modulator.html#4d03bbe8bd467898f149d5f134f6f120">itpp::Modulator&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1QAM.html#fa8c6d12e65e8a145faabd11d0d6be92">itpp::QAM</a>
+, <a class="el" href="classitpp_1_1PSK.html#a3b14b2e7174454ddd1270915161bb4e">itpp::PSK</a>
+, <a class="el" href="classitpp_1_1BPSK__c.html#442fa8ff1a0d59a1137587d82c2e51b5">itpp::BPSK_c</a>
+, <a class="el" href="classitpp_1_1BPSK.html#86ec97762f354d8020fcab199faa6e5e">itpp::BPSK</a>
+, <a class="el" href="classitpp_1_1PAM__c.html#4254b3f8ca63e0a99fe83b1eeac22d2b">itpp::PAM_c</a>
+, <a class="el" href="classitpp_1_1PAM.html#2bc71f0c4c0326806caf0ed505d55a9c">itpp::PAM</a>
+<li>demodulate_soft_bits()
+: <a class="el" href="classitpp_1_1BPSK__c.html#d36813fb58ef90ca61b622f8e981bdb1">itpp::BPSK_c</a>
+, <a class="el" href="classitpp_1_1BPSK.html#384c489595bc85fada37e5138e1e2365">itpp::BPSK</a>
+, <a class="el" href="classitpp_1_1PAM__c.html#56e1f1d20bfecdd0e5ef37456a5179ae">itpp::PAM_c</a>
+, <a class="el" href="classitpp_1_1Modulator__NRD.html#42d28853cead832c7e7644366023601b">itpp::Modulator_NRD</a>
+, <a class="el" href="classitpp_1_1Modulator__NCD.html#a25a04d3c20e24c033a1dd152e674f7c">itpp::Modulator_NCD</a>
+, <a class="el" href="classitpp_1_1Modulator__NRD.html#249e4cf64c7106d559e1589f200ccbc7">itpp::Modulator_NRD</a>
+, <a class="el" href="classitpp_1_1PAM__c.html#ba7ea8361cec966f9a018980f77a2a74">itpp::PAM_c</a>
+, <a class="el" href="classitpp_1_1BPSK.html#d4ca1ddd90aab607d9951e8ca0e559da">itpp::BPSK</a>
+, <a class="el" href="classitpp_1_1Modulator.html#e40b7afd0d38d2d86b561b9dff6f55fd">itpp::Modulator&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1QPSK.html#9ecef038c884712999346929b0025fc7">itpp::QPSK</a>
+, <a class="el" href="classitpp_1_1Modulator.html#9beffaf8f69378f9c20a85f3023bd9af">itpp::Modulator&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1QPSK.html#f0a8d5f3e97965267e263c570ec1a594">itpp::QPSK</a>
 <li>den
 : <a class="el" href="classbdm_1_1mratio.html#7daa5d02d3a3be9d15fd4156d886ed88">bdm::mratio</a>
+<li>density()
+: <a class="el" href="classitpp_1_1GF2mat.html#b6a8989c8e32688fe36443deb2c1625a">itpp::GF2mat</a>
+, <a class="el" href="classitpp_1_1Sparse__Mat.html#43589606be7d9563d82fc3355f97c107">itpp::Sparse_Mat&lt; T &gt;</a>
+, <a class="el" href="classitpp_1_1Sparse__Vec.html#9dcac972a88c8e86eb2b32794db4ab1a">itpp::Sparse_Vec&lt; T &gt;</a>
+<li>desc
+: <a class="el" href="structitpp_1_1it__file__base_1_1data__header.html#0a5b4a57ba55298d413cd1f695918d4e">itpp::it_file_base::it_file_base::data_header</a>
+, <a class="el" href="classitpp_1_1Name.html#e99acea7fe52c157084cdca8c2f87752">itpp::Name</a>
+<li>despread()
+: <a class="el" href="classitpp_1_1Spread__1d.html#37adb98ca481080a3c7e56d68f644511">itpp::Spread_1d</a>
+, <a class="el" href="classitpp_1_1Spread__2d.html#a3e1b5b6672ea0195dbb75fa40704249">itpp::Spread_2d</a>
+, <a class="el" href="classitpp_1_1Multicode__Spread__1d.html#df7f9c3bf59293b380b09ad9530a3917">itpp::Multicode_Spread_1d</a>
+, <a class="el" href="classitpp_1_1Multicode__Spread__2d.html#d191b52b55d0306fd7e591a299b4d94d">itpp::Multicode_Spread_2d</a>
+, <a class="el" href="classitpp_1_1Spread__1d.html#0f3be17eb3791105337c3a751f25f496">itpp::Spread_1d</a>
 <li>destroyComs
 : <a class="el" href="classbdm_1_1emix.html#47189df41a4616c2fed5972f015743f4">bdm::emix</a>
+, <a class="el" href="classbdm_1_1egiwmix.html#2a363169e5aa6c7cad1f4d7647fe9eec">bdm::egiwmix</a>
 <li>destroynom
 : <a class="el" href="classbdm_1_1mratio.html#51bfe6675e724f7fbeaaeacce5a9f9b8">bdm::mratio</a>
+<li>dezombify_means()
+: <a class="el" href="classitpp_1_1MOG__diag__kmeans__sup.html#213dbe1d954604685d2f1732d24de4bf">itpp::MOG_diag_kmeans_sup</a>
 <li>dfdu_cond()
-: <a class="el" href="classIMk1.html#2b85f0984da3fe55849bb7b28f66e50c">IMk1</a>
+: <a class="el" href="classbdm_1_1bilinfn.html#9cfe2f1c115ba7c3c75849a10a4f2c08">bdm::bilinfn</a>
 , <a class="el" href="classIMpmsm.html#c3f8dad22ae9855c04a1d593b45c99b5">IMpmsm</a>
 , <a class="el" href="classIMpmsm2o.html#27f9d89bce832056f747d985df77a726">IMpmsm2o</a>
+, <a class="el" href="classIMk1.html#2b85f0984da3fe55849bb7b28f66e50c">IMk1</a>
+, <a class="el" href="classbdm_1_1diffbifn.html#6ea1dc7a482601b29c5ba36a52d20d07">bdm::diffbifn</a>
 , <a class="el" href="classIMpmsmStat.html#ff740ee20100ae2a2d03a2538638f8e8">IMpmsmStat</a>
-, <a class="el" href="classbdm_1_1diffbifn.html#6ea1dc7a482601b29c5ba36a52d20d07">bdm::diffbifn</a>
-, <a class="el" href="classbdm_1_1bilinfn.html#9cfe2f1c115ba7c3c75849a10a4f2c08">bdm::bilinfn</a>
 <li>dfdx_cond()
-: <a class="el" href="classIMk1.html#463177c0fdffdf4951761959160cc682">IMk1</a>
+: <a class="el" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1">IMpmsm</a>
+, <a class="el" href="classOMpmsm4.html#1318b00e606d0a82df354c49494026dd">OMpmsm4</a>
+, <a class="el" href="classIMk1.html#463177c0fdffdf4951761959160cc682">IMk1</a>
+, <a class="el" href="classIMpmsmStatMz.html#957571e0a81177d399cc2539aafad8da">IMpmsmStatMz</a>
+, <a class="el" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821">OMpmsm</a>
+, <a class="el" href="classbdm_1_1bilinfn.html#33066f1054dd259df2ec5fafae4b46e6">bdm::bilinfn</a>
 , <a class="el" href="classOMk1.html#3a6ff61c818d25f95912351aac201cc7">OMk1</a>
-, <a class="el" href="classIMpmsm.html#b4378b5d3bf64c683e4cf5c5f1cd56f1">IMpmsm</a>
+, <a class="el" href="classbdm_1_1diffbifn.html#651184f808a35f236dbfea21aca1b6ac">bdm::diffbifn</a>
 , <a class="el" href="classIMpmsm2o.html#0a3e125df1e53821e08accbd4960d713">IMpmsm2o</a>
+, <a class="el" href="classIMpmsmMz.html#925804179c2874acdb9943bdc27c567a">IMpmsmMz</a>
 , <a class="el" href="classIMpmsmStat.html#29a9c09fd328e89748d9be0801e84831">IMpmsmStat</a>
-, <a class="el" href="classOMpmsm.html#b75b5fd55b2ac5ed74b5b953af122821">OMpmsm</a>
-, <a class="el" href="classbdm_1_1diffbifn.html#651184f808a35f236dbfea21aca1b6ac">bdm::diffbifn</a>
-, <a class="el" href="classbdm_1_1bilinfn.html#33066f1054dd259df2ec5fafae4b46e6">bdm::bilinfn</a>
 <li>dia
 : <a class="el" href="classIMpmsm2o.html#5b668744a1e5189f324897a62b9c3ea6">IMpmsm2o</a>
+<li>diag_covs
+: <a class="el" href="classitpp_1_1MOG__generic.html#b15093a04bd84221c44b794831ebecd0">itpp::MOG_generic</a>
+<li>diag_covs_inv_etc
+: <a class="el" href="classitpp_1_1MOG__generic.html#c74ddce5d7899b0fa8c28b4f6aeb731b">itpp::MOG_generic</a>
 <li>diffbifn()
 : <a class="el" href="classbdm_1_1diffbifn.html#92ff29d748e445b440453a38d0b09681">bdm::diffbifn</a>
 <li>dim
+: <a class="el" href="classbdm_1_1epdf.html#16adac20ec7fe07e1ea0b27d917788ce">bdm::epdf</a>
+<li>Dim
+: <a class="el" href="classitpp_1_1Vector__Quantizer.html#cecdbde8911852c5472b28e7fb8609bb">itpp::Vector_Quantizer</a>
+<li>dim
 : <a class="el" href="classsqmat.html#0abed904bdc0882373ba9adba919689d">sqmat</a>
-, <a class="el" href="classbdm_1_1epdf.html#16adac20ec7fe07e1ea0b27d917788ce">bdm::epdf</a>
+, <a class="el" href="classitpp_1_1Vector__Quantizer.html#d61b7199bfcd34838abacc717371d5cf">itpp::Vector_Quantizer</a>
 <li>dimc
 : <a class="el" href="classbdm_1_1mpdf.html#7c1900976ff13dbc09c9729b3bbff9e6">bdm::mpdf</a>
@@ -169,6 +307,6 @@
 , <a class="el" href="classbdm_1_1diffbifn.html#30c45617eec89adeb4ebaa763d093fb0">bdm::diffbifn</a>
 <li>dimx
-: <a class="el" href="classbdm_1_1ARX.html#8e68db2a218d54b09304cad6c0a897d9">bdm::ARX</a>
-, <a class="el" href="classbdm_1_1Kalman.html#ba7699cdb3b1382a54d3e28b9b7517fa">bdm::Kalman&lt; sq_T &gt;</a>
+: <a class="el" href="classbdm_1_1Kalman.html#ba7699cdb3b1382a54d3e28b9b7517fa">bdm::Kalman&lt; sq_T &gt;</a>
+, <a class="el" href="classbdm_1_1ARX.html#8e68db2a218d54b09304cad6c0a897d9">bdm::ARX</a>
 , <a class="el" href="classbdm_1_1egiw.html#23e4d78bea7e98840f3da30e76a2b57a">bdm::egiw</a>
 , <a class="el" href="classbdm_1_1diffbifn.html#a193aa2c4a500139c0c4b669691e588e">bdm::diffbifn</a>
@@ -180,20 +318,51 @@
 <li>dirname
 : <a class="el" href="classbdm_1_1dirfilelog.html#985eb02770f01e25cdceff32ff53a9c5">bdm::dirfilelog</a>
+<li>disable_c_access()
+: <a class="el" href="classitpp_1_1MOG__diag.html#dafbf61c7737369c822f40cf3002a61a">itpp::MOG_diag</a>
+<li>disable_trace()
+: <a class="el" href="classitpp_1_1Line__Search.html#49ce7f8fcfc37b76c9147390e0fbf21b">itpp::Line_Search</a>
+, <a class="el" href="classitpp_1_1Newton__Search.html#af99928a904021ea7708f4093bb862df">itpp::Newton_Search</a>
+<li>disconnect()
+: <a class="el" href="group__protocol.html#gc3c035d4b8565d1bafc58a8092ced7d7">itpp::Signal&lt; DataType &gt;</a>
+<li>discrete_Ts
+: <a class="el" href="classitpp_1_1TDL__Channel.html#c38f959613ae41b79b8cdd1ab587df43">itpp::TDL_Channel</a>
+<li>discretize()
+: <a class="el" href="classitpp_1_1TDL__Channel.html#36c0e2b1342e7260055918bc40f90b70">itpp::TDL_Channel</a>
+<li>display_stats()
+: <a class="el" href="classitpp_1_1LDPC__Parity__Irregular.html#e8161a5209869b9623fde53cf30527c5">itpp::LDPC_Parity_Irregular</a>
+, <a class="el" href="classitpp_1_1LDPC__Parity__Regular.html#d82cdfa215699c583a1d7cb3bb0de691">itpp::LDPC_Parity_Regular</a>
+, <a class="el" href="classitpp_1_1LDPC__Parity__Unstructured.html#dfc18dacad1de210bb284afbf4dd6de2">itpp::LDPC_Parity_Unstructured</a>
+, <a class="el" href="classitpp_1_1LDPC__Parity.html#d4241825bc40f746ad885be000522f52">itpp::LDPC_Parity</a>
+<li>dist()
+: <a class="el" href="classitpp_1_1MOG__diag__kmeans__sup.html#3e24981c4d249702fa35585d22845bbb">itpp::MOG_diag_kmeans_sup</a>
 <li>distance
 : <a class="el" href="classbdm_1_1euni.html#d3c27e331f90c754d80228108de8ed4c">bdm::euni</a>
+<li>distance_profile()
+: <a class="el" href="classitpp_1_1Punctured__Convolutional__Code.html#86534f4a85b09bb3340edcbbfb825b2a">itpp::Punctured_Convolutional_Code</a>
+, <a class="el" href="classitpp_1_1Convolutional__Code.html#e99bf2f2d1973c7626214ad93222cbcf">itpp::Convolutional_Code</a>
+<li>divgfx()
+: <a class="el" href="classitpp_1_1GFX.html#fcf3300eed08b602521ba46b77ef57fe">itpp::GFX</a>
 <li>dl
 : <a class="el" href="classbdm_1_1mratio.html#cda5bd23ba60146d69e1f804ff7710c7">bdm::mratio</a>
 <li>dls
-: <a class="el" href="classbdm_1_1mprod.html#acf679b3b1d48629c5a042d9ac0d973f">bdm::mprod</a>
+: <a class="el" href="classbdm_1_1merger.html#ea3c9f4739f857877fd5285b3973289c">bdm::merger</a>
 , <a class="el" href="classbdm_1_1eprod.html#6b5a9be71a644f6009e7beda6c762a43">bdm::eprod</a>
-, <a class="el" href="classbdm_1_1merger.html#ea3c9f4739f857877fd5285b3973289c">bdm::merger</a>
+, <a class="el" href="classbdm_1_1mprod.html#acf679b3b1d48629c5a042d9ac0d973f">bdm::mprod</a>
+<li>do_checks
+: <a class="el" href="classitpp_1_1MOG__generic.html#4b30c5c34e3503df8378b043a8a7776b">itpp::MOG_generic</a>
+<li>dopp_spectrum
+: <a class="el" href="classitpp_1_1Rice__Fading__Generator.html#6e171c0814c6b1cfc84bbf11abfb5223">itpp::Rice_Fading_Generator</a>
+<li>dot
+: <a class="el" href="classitpp_1_1Vec.html#3494e36f998825a7627ae4786188e45f">itpp::Vec&lt; Num_T &gt;</a>
 <li>downsize
 : <a class="el" href="classbdm_1_1datalink.html#bc8ff50395fc1066a1e486dea18d987c">bdm::datalink</a>
+<li>drv
+: <a class="el" href="classbdm_1_1BM.html#c400357e37d27a4834b2b1d9211009ed">bdm::BM</a>
 <li>Drv
 : <a class="el" href="classbdm_1_1DS.html#d8db125ac35f3b8eeb773fc9a4cb45ec">bdm::DS</a>
-<li>drv
-: <a class="el" href="classbdm_1_1BM.html#c400357e37d27a4834b2b1d9211009ed">bdm::BM</a>
 <li>DS()
 : <a class="el" href="classbdm_1_1DS.html#bedd82e08ae6686b4b1732a122c2201a">bdm::DS</a>
+<li>DSFMT()
+: <a class="el" href="classitpp_1_1DSFMT.html#cde8cc225ca1f756343fb037b99ffe32">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
 <li>dsize
 : <a class="el" href="classbdm_1_1RV.html#0cfe477965243a89eb87a06b024e2fcb">bdm::RV</a>
@@ -204,10 +373,12 @@
 <li>dummy
 : <a class="el" href="classbdm_1_1mprod.html#e3fe66c257e5eca9de1031ef44907677">bdm::mprod</a>
+<li>Dummy_Code()
+: <a class="el" href="classitpp_1_1Dummy__Code.html#301d12b727a28410e51e8c0e86ef7bba">itpp::Dummy_Code</a>
 <li>dupdate()
-: <a class="el" href="classbdm_1_1enorm.html#d2e0d3a1e30ab3ab04df2d0c43ae74a2">bdm::enorm&lt; sq_T &gt;</a>
-, <a class="el" href="classbdm_1_1eEF.html#deef7d6273ba4d5a5cf0bbd91ec7277a">bdm::eEF</a>
+: <a class="el" href="classbdm_1_1eEF.html#deef7d6273ba4d5a5cf0bbd91ec7277a">bdm::eEF</a>
+, <a class="el" href="classbdm_1_1enorm.html#d2e0d3a1e30ab3ab04df2d0c43ae74a2">bdm::enorm&lt; sq_T &gt;</a>
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Thu Apr 23 21:06:43 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:02:14 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>