Index: doc/html/functions_0x72.html
===================================================================
--- doc/html/functions_0x72.html (revision 353)
+++ doc/html/functions_0x72.html (revision 354)
@@ -70,7 +70,4 @@
       <li><a href="functions_func.html"><span>Functions</span></a></li>
       <li><a href="functions_vars.html"><span>Variables</span></a></li>
-      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
-      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
-      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
       <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
     </ul>
@@ -88,5 +85,4 @@
       <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
       <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
-      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
       <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
       <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
@@ -102,5 +98,4 @@
       <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
       <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
-      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
       <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
       <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
@@ -116,135 +111,34 @@
 : <a class="el" href="classbdm_1_1Kalman.html#475b088287cdfbba4dc60a3d027728b7">bdm::Kalman&lt; sq_T &gt;</a>
 , <a class="el" href="classbdm_1_1enorm.html#2d92dde696b2a7a5b10ddef5d22ba2c2">bdm::enorm&lt; sq_T &gt;</a>
-<li>Raised_Cosine()
-: <a class="el" href="classitpp_1_1Raised__Cosine.html#46d57402d014f22476ed38bfc6ad618d">itpp::Raised_Cosine&lt; T1 &gt;</a>
-<li>random_01()
-: <a class="el" href="classitpp_1_1DSFMT.html#ab2af1395a13a573e9bdeab13b5cf9ff">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-<li>random_01_lclosed()
-: <a class="el" href="classitpp_1_1DSFMT.html#d978ed6de775129d1bbeb7078d1be70b">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-<li>random_01_rclosed()
-: <a class="el" href="classitpp_1_1DSFMT.html#00c9116b8836b601965abfe5fd144670">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-<li>random_int()
-: <a class="el" href="classitpp_1_1DSFMT.html#b645ea1ba2a18932ba6817455450a4af">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-<li>randomize()
-: <a class="el" href="classitpp_1_1DSFMT.html#d8fa1b788118b95eaf44810e0b884d80">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-<li>randomize_interleaver_sequence()
-: <a class="el" href="classitpp_1_1Sequence__Interleaver.html#f68f9acbac21192d93de9284db930340">itpp::Sequence_Interleaver&lt; T &gt;</a>
-<li>rate
-: <a class="el" href="classitpp_1_1Convolutional__Code.html#0e92407956851a04cffa5f89f2fd39a5">itpp::Convolutional_Code</a>
-, <a class="el" href="classitpp_1_1SND__Format.html#2d9783d4bfcba85693d8ec63099978cc">itpp::SND_Format</a>
-<li>Rayleigh_RNG()
-: <a class="el" href="classitpp_1_1Rayleigh__RNG.html#2c1f94a8a12419e703311a30ce41d079">itpp::Rayleigh_RNG</a>
-<li>re
-: <a class="el" href="classitpp_1_1CFix.html#eceddf502d1f1ed429922c0e91843131">itpp::CFix</a>
-, <a class="el" href="classitpp_1_1Fix.html#2658e2053a4f62250f4d36c08deb959e">itpp::Fix</a>
-<li>read()
-: <a class="el" href="classitpp_1_1GF2mat__sparse__alist.html#676b89278f1fbed07232bb8e06bb8786">itpp::GF2mat_sparse_alist</a>
-, <a class="el" href="classitpp_1_1TCP__Receiver__Buffer.html#32afd95a20f00d16654eb246f11c1e76">itpp::TCP_Receiver_Buffer</a>
-, <a class="el" href="classitpp_1_1SND__In__File.html#6e6aa3055020f95eb34aaf0d65cc5c99">itpp::SND_In_File</a>
-<li>read_check_file_header()
-: <a class="el" href="classitpp_1_1it__ifile.html#75d5812868c87cfee7ebc85d5f255adc">itpp::it_ifile</a>
-, <a class="el" href="classitpp_1_1it__ifile__old.html#c7645062ae275b7e4fcb1e9074a5d633">itpp::it_ifile_old</a>
-<li>read_data_header()
-: <a class="el" href="classitpp_1_1it__ifile.html#2813d3d2d914596f507dc6b43adc28ae">itpp::it_ifile</a>
-, <a class="el" href="classitpp_1_1it__ifile__old.html#addf1dc4fb4c88c815e80b62bb1fda43">itpp::it_ifile_old</a>
-<li>read_from_net()
-: <a class="el" href="classitpp_1_1TCP__Client__Application.html#7ec5c489a463d5796db446525fb515fb">itpp::TCP_Client_Application</a>
-<li>read_header()
-: <a class="el" href="classitpp_1_1SND__Format.html#a8129c4a0eeacc3a5771cf4493e12812">itpp::SND_Format</a>
-<li>Real_Timer()
-: <a class="el" href="classitpp_1_1Real__Timer.html#b8f75b7ed51151fda9861ffa7dbe188b">itpp::Real_Timer</a>
-<li>Rec_Syst_Conv_Code()
-: <a class="el" href="classitpp_1_1Rec__Syst__Conv__Code.html#78533fa058871b0389072e25c5e87fb9">itpp::Rec_Syst_Conv_Code</a>
-<li>recalculate_means()
-: <a class="el" href="classitpp_1_1MOG__diag__kmeans__sup.html#ebd6357516c76408a33a32ee49fd97b9">itpp::MOG_diag_kmeans_sup</a>
-<li>Reed_Solomon()
-: <a class="el" href="classitpp_1_1Reed__Solomon.html#569487f380264de769c5fe142c8b12ad">itpp::Reed_Solomon</a>
 <li>refl
-: <a class="el" href="classbdm_1_1mgamma__fix.html#018c6f901a04e419455308a07eb3b0b2">bdm::mgamma_fix</a>
-, <a class="el" href="classbdm_1_1migamma__ref.html#3692dc67caf4367e15564d37f45476f6">bdm::migamma_ref</a>
-<li>release()
-: <a class="el" href="classitpp_1_1TCP__Sender.html#2cd17485375e55996c8e4c617c67dcb1">itpp::TCP_Sender</a>
-, <a class="el" href="classitpp_1_1TCP__Receiver.html#0e3548264fc67ce63780944b8643de2b">itpp::TCP_Receiver</a>
-<li>remove()
-: <a class="el" href="classitpp_1_1it__file.html#9909f63fdef57f6684cd9d4bf0729ffe">itpp::it_file</a>
-, <a class="el" href="classitpp_1_1it__file__old.html#2934b24221511f7293e9bd53e6ddb16a">itpp::it_file_old</a>
-<li>remove_small_elements()
-: <a class="el" href="classitpp_1_1Sparse__Vec.html#f4a70276d329e74da185b4b331fbcfa6">itpp::Sparse_Vec&lt; T &gt;</a>
-<li>replace_mid()
-: <a class="el" href="classitpp_1_1Vec.html#67b624bbf706274e6c58ad402fb50cd1">itpp::Vec&lt; Num_T &gt;</a>
-<li>repmat()
-: <a class="el" href="group__matrix__functions.html#g53cd7ee1e173c8a2e56d0b4c77e49c20">itpp::Vec&lt; Num_T &gt;</a>
-, <a class="el" href="group__matrix__functions.html#g608ecbac6ff6a1ce6d5e69c0dd789021">itpp::Mat&lt; Num_T &gt;</a>
-<li>report()
-: <a class="el" href="classitpp_1_1BERC.html#e997bb87b1ee5eaf3eb892e7ee416a08">itpp::BERC</a>
+: <a class="el" href="classbdm_1_1migamma__ref.html#3692dc67caf4367e15564d37f45476f6">bdm::migamma_ref</a>
+, <a class="el" href="classbdm_1_1mgamma__fix.html#018c6f901a04e419455308a07eb3b0b2">bdm::mgamma_fix</a>
 <li>resample()
 : <a class="el" href="classbdm_1_1eEmp.html#f06ce255de5dbb2313f52ee51f82ba3d">bdm::eEmp</a>
-<li>reset()
-: <a class="el" href="classitpp_1_1AR1__Normal__RNG.html#35bb15ace58f392a785850a214c52b29">itpp::AR1_Normal_RNG</a>
-, <a class="el" href="classitpp_1_1DSFMT.html#defa66a466571c23b8ec388b3b23b037">itpp::DSFMT&lt; MEXP, POS1, SL1, MSK1, MSK2, MSK32_1, MSK32_2, MSK32_3, MSK32_4, FIX1, FIX2, PCV1, PCV2 &gt;</a>
-, <a class="el" href="classitpp_1_1Timer.html#cafdc07fe9e863c5ed9093224511ab8d">itpp::Timer</a>
-, <a class="el" href="classitpp_1_1Convolutional__Code.html#6ac83f0a1be7b4f6f06a1b4d7b45489a">itpp::Convolutional_Code</a>
-, <a class="el" href="classitpp_1_1TCP__Receiver__Buffer.html#f13e62167676e2041919162c46f45e70">itpp::TCP_Receiver_Buffer</a>
-, <a class="el" href="classitpp_1_1Histogram.html#2e595439fdf3877d6c5aaca0f5f33c88">itpp::Histogram&lt; Num_T &gt;</a>
-<li>Reset()
-: <a class="el" href="classitpp_1_1TTimer.html#bc25e24ceb85a2832850a49e401c5435">itpp::TTimer&lt; THandler &gt;</a>
-<li>resize_data()
-: <a class="el" href="classitpp_1_1Sparse__Vec.html#e13e88712aafec410acce936dc708073">itpp::Sparse_Vec&lt; T &gt;</a>
 <li>resmethod
 : <a class="el" href="classbdm_1_1PF.html#9932c7c5865954ef9a438afcbe944e52">bdm::PF</a>
-<li>reverse_int()
-: <a class="el" href="classitpp_1_1Convolutional__Code.html#ca1881cee55d7c3219f46dd40e7cbd31">itpp::Convolutional_Code</a>
 <li>rgr
 : <a class="el" href="classbdm_1_1ArxDS.html#b2d7530264499b92c3aa32454b960abe">bdm::ArxDS</a>
 <li>rgrlnk
 : <a class="el" href="classbdm_1_1ArxDS.html#fbe7b993ec5f75c195ae1b2ccd96a898">bdm::ArxDS</a>
-<li>Rice_Fading_Generator()
-: <a class="el" href="classitpp_1_1Rice__Fading__Generator.html#4bbe9cfba4de2df07066dea35c8175c9">itpp::Rice_Fading_Generator</a>
-<li>rice_method
-: <a class="el" href="classitpp_1_1Rice__Fading__Generator.html#b6865298fa6f8a6b4bd5418e6c597066">itpp::Rice_Fading_Generator</a>
-<li>Rice_RNG()
-: <a class="el" href="classitpp_1_1Rice__RNG.html#68ca660f1f23122562e5d2f18f2b1713">itpp::Rice_RNG</a>
-<li>right()
-: <a class="el" href="classitpp_1_1Array.html#f538b0bbdd7777574cf0b70031df7eaa">itpp::Array&lt; T &gt;</a>
-, <a class="el" href="classitpp_1_1Vec.html#e134864ce9e73858efd329ab7183cace">itpp::Vec&lt; Num_T &gt;</a>
-<li>roll_off_factor
-: <a class="el" href="classitpp_1_1Root__Raised__Cosine.html#7871d8432652602e6423d93224dae5cb">itpp::Root_Raised_Cosine&lt; T1 &gt;</a>
-, <a class="el" href="classitpp_1_1Raised__Cosine.html#392677c9e81525f06a1a3e03e5a96cdf">itpp::Raised_Cosine&lt; T1 &gt;</a>
-<li>Root_Raised_Cosine()
-: <a class="el" href="classitpp_1_1Root__Raised__Cosine.html#f8664a35bcb061fdb28c5db4737842ce">itpp::Root_Raised_Cosine&lt; T1 &gt;</a>
-<li>row_rank()
-: <a class="el" href="classitpp_1_1GF2mat.html#a434aa8694ea49e8e4eaec454e45ff03">itpp::GF2mat</a>
 <li>rowid
 : <a class="el" href="classbdm_1_1MemDS.html#865814d49913dcf672bb20a4334d3dc4">bdm::MemDS</a>
 <li>rows()
-: <a class="el" href="classitpp_1_1Mat.html#f3028609c01e08fb07c5bf0bcd4c4e03">itpp::Mat&lt; Num_T &gt;</a>
-, <a class="el" href="classsqmat.html#071e80ced9cc3b8cbb360fa7462eb646">sqmat</a>
-, <a class="el" href="classitpp_1_1Sparse__Mat.html#98f82f4aca56a2b8083df057f0c5c359">itpp::Sparse_Mat&lt; T &gt;</a>
-, <a class="el" href="classitpp_1_1GF2mat.html#f72dd843c1cfe6641e6234b444131ed3">itpp::GF2mat</a>
+: <a class="el" href="classsqmat.html#071e80ced9cc3b8cbb360fa7462eb646">sqmat</a>
 , <a class="el" href="group__math.html#g96dfb21865db4f5bd36fa70f9b0b1163">ldmat</a>
 <li>Rrv
 : <a class="el" href="classbdm_1_1ArxDS.html#c7b3cc6cd059ff3d7f4462cedff4bdeb">bdm::ArxDS</a>
-<li>rshift()
-: <a class="el" href="classitpp_1_1CFix.html#b289e5b8b4bf58da601bcd251ea43e32">itpp::CFix</a>
-, <a class="el" href="classitpp_1_1Fix.html#9322d5b28c5a9214c1f5905ae21ce644">itpp::Fix</a>
-, <a class="el" href="classitpp_1_1CFix.html#36b8d96873d3adba9619fa0ed617cb7f">itpp::CFix</a>
-<li>rshift_and_apply_q_mode()
-: <a class="el" href="classitpp_1_1Fix__Base.html#ef3711deb8dbca9ebc800f09bb20e52b">itpp::Fix_Base</a>
-<li>run()
-: <a class="el" href="classitpp_1_1MOG__diag__kmeans__sup.html#04cf54ca4326b599f0efa5765a442cc8">itpp::MOG_diag_kmeans_sup</a>
-<li>running
-: <a class="el" href="classitpp_1_1Timer.html#aa44f4c306bea316f974e7f0a1f3c096">itpp::Timer</a>
 <li>RV()
-: <a class="el" href="classbdm_1_1RV.html#3d93da01a64dab31074b25b7d93e5eae">bdm::RV</a>
+: <a class="el" href="classbdm_1_1RV.html#e319ca900261a5005a9b4b353ec16412">bdm::RV</a>
 <li>rv
 : <a class="el" href="classbdm_1_1epdf.html#62c5b8ff71d9ebe6cd58d3c342eb1dc8">bdm::epdf</a>
 <li>RV()
-: <a class="el" href="classbdm_1_1RV.html#e319ca900261a5005a9b4b353ec16412">bdm::RV</a>
+: <a class="el" href="classbdm_1_1RV.html#a222dfef569e8f123180d40fde97c1cd">bdm::RV</a>
 <li>rvc
 : <a class="el" href="classbdm_1_1mpdf.html#5a5f08950daa08b85b01ddf4e1c36288">bdm::mpdf</a>
 , <a class="el" href="classbdm_1_1BM.html#de95c590d650b2db423d53992f0906cb">bdm::BM</a>
 <li>rvu
-: <a class="el" href="classbdm_1_1diffbifn.html#a8e3e861d5ec2a7ae9524e6338e58320">bdm::diffbifn</a>
-, <a class="el" href="classbdm_1_1Kalman.html#149e27424fd1a7cc1c998ea088618a94">bdm::Kalman&lt; sq_T &gt;</a>
+: <a class="el" href="classbdm_1_1Kalman.html#149e27424fd1a7cc1c998ea088618a94">bdm::Kalman&lt; sq_T &gt;</a>
+, <a class="el" href="classbdm_1_1diffbifn.html#a8e3e861d5ec2a7ae9524e6338e58320">bdm::diffbifn</a>
 <li>rvx
 : <a class="el" href="classbdm_1_1diffbifn.html#5f56547d8e9378b669d3cc19d7831cbb">bdm::diffbifn</a>
@@ -255,5 +149,5 @@
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:02:14 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:11:00 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>