Index: doc/html/mexparse_8h-source.html
===================================================================
--- doc/html/mexparse_8h-source.html (revision 353)
+++ doc/html/mexparse_8h-source.html (revision 354)
@@ -64,6 +64,6 @@
   </div>
 <h1>mexparse.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#include "../../bdm/libconfig/libconfig.h++"</span>
-<a name="l00002"></a>00002 <span class="preprocessor">#include &lt;<a class="code" href="itbase_8h.html" title="Include file for the IT++ base module.">itpp/itbase.h</a>&gt;</span>
-<a name="l00003"></a>00003 <span class="preprocessor">#include &lt;<a class="code" href="itmex_8h.html" title="Conversion routines between IT++ and Matlab.">itpp/itmex.h</a>&gt;</span>
+<a name="l00002"></a>00002 <span class="preprocessor">#include &lt;itpp/itbase.h&gt;</span>
+<a name="l00003"></a>00003 <span class="preprocessor">#include &lt;itpp/itmex.h&gt;</span>
 <a name="l00004"></a>00004 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00005"></a>00005 
@@ -86,5 +86,5 @@
 <a name="l00022"></a>00022                 <span class="comment">//TODO: integer matrices</span>
 <a name="l00023"></a>00023                 <span class="keywordflow">if</span> (!mxIsNumeric(value)) { mexErrMsgTxt(<span class="stringliteral">"Given mxArray is not numeric."</span>); };
-<a name="l00024"></a>00024                 mat val = <a class="code" href="group__mexfiles.html#g2adb0970c31c7febf62850fabed65c5c" title="Convert the matlab-format mxArray to mat.">mxArray2mat</a>(value);
+<a name="l00024"></a>00024                 mat val = mxArray2mat(value);
 <a name="l00025"></a>00025                 <span class="keywordflow">if</span> ((val.rows() == 1) &amp;&amp; (val.cols() == 1)) {
 <a name="l00026"></a>00026                         Setting &amp;child = (key==<span class="stringliteral">""</span>) ? setting.add(Setting::TypeFloat)
@@ -115,9 +115,9 @@
 <a name="l00051"></a>00051                         <span class="keywordflow">if</span> (mxIsChar(value)) {
 <a name="l00052"></a>00052                                 Setting &amp;child = setting.add(key, Setting::TypeString);
-<a name="l00053"></a>00053                                 child = <a class="code" href="group__mexfiles.html#ga7d28675ac76cb6b100f27801c5d8787" title="Convert the matlab-format mxArray to string.">mxArray2string</a>(value);
+<a name="l00053"></a>00053                                 child = mxArray2string(value);
 <a name="l00054"></a>00054                         }
 <a name="l00055"></a>00055                         <span class="keywordflow">if</span> (mxIsLogical(value)) {
 <a name="l00056"></a>00056                                 Setting &amp;child = setting.add(key, Setting::TypeBoolean);
-<a name="l00057"></a>00057                                 child = (bool) <a class="code" href="group__mexfiles.html#gc78ba4be4a066402f96e511adeabc9b6" title="Convert the matlab-format mxArray to bin.">mxArray2bin</a>(value);
+<a name="l00057"></a>00057                                 child = (bool) mxArray2bin(value);
 <a name="l00058"></a>00058                         }
 <a name="l00059"></a>00059                         <span class="keywordflow">if</span> (mxIsStruct(value)) {
@@ -141,9 +141,9 @@
 <a name="l00077"></a>00077                         <span class="keywordflow">if</span> (mxIsChar(value)) {
 <a name="l00078"></a>00078                                 Setting &amp;child = setting.add(Setting::TypeString);
-<a name="l00079"></a>00079                                 child = <a class="code" href="group__mexfiles.html#ga7d28675ac76cb6b100f27801c5d8787" title="Convert the matlab-format mxArray to string.">mxArray2string</a>(value);
+<a name="l00079"></a>00079                                 child = mxArray2string(value);
 <a name="l00080"></a>00080                         }
 <a name="l00081"></a>00081                         <span class="keywordflow">if</span> (mxIsLogical(value)) {
 <a name="l00082"></a>00082                                 Setting &amp;child = setting.add(Setting::TypeBoolean);
-<a name="l00083"></a>00083                                 child = (bool) <a class="code" href="group__mexfiles.html#gc78ba4be4a066402f96e511adeabc9b6" title="Convert the matlab-format mxArray to bin.">mxArray2bin</a>(value);
+<a name="l00083"></a>00083                                 child = (bool) mxArray2bin(value);
 <a name="l00084"></a>00084                         }
 <a name="l00085"></a>00085                         <span class="keywordflow">if</span> (mxIsStruct(value)) {
@@ -162,5 +162,5 @@
 <a name="l00098"></a>00098 };
 </pre></div></div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:02:12 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:11:00 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>