Index: doc/html/classbdm_1_1UI.html
===================================================================
--- doc/html/classbdm_1_1UI.html (revision 354)
+++ doc/html/classbdm_1_1UI.html (revision 368)
@@ -79,38 +79,36 @@
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Classes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>Link_Expander</b></td></tr>
-
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>Mapped_UI</b></td></tr>
 
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI_1_1SettingsResolver.html">SettingsResolver</a></td></tr>
+
 <tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="792cae11679b69900ca7c7b99e5288c3"></a><!-- doxytag: member="bdm::UI::ui_error" ref="792cae11679b69900ca7c7b99e5288c3" args="(string message, const Setting &amp;element)" -->
-static void&nbsp;</td><td class="memItemRight" valign="bottom"><b>ui_error</b> (string message, const Setting &amp;element)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2">template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f0eccc7bbe4b680f3e1cb84b455a1125"></a><!-- doxytag: member="bdm::UI::build" ref="f0eccc7bbe4b680f3e1cb84b455a1125" args="(const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
 <tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#f0eccc7bbe4b680f3e1cb84b455a1125">build</a> (const Setting &amp;element, const int index)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Prototype of a <a class="el" href="classbdm_1_1UI.html" title="This class serves to load and/or save DOMElements into/from files stored on a hard-disk...">UI</a> builder. Return value is by the second argument since it type checking via <code>dynamic_cast</code>.  <a href="#f0eccc7bbe4b680f3e1cb84b455a1125"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Prototype of a <a class="el" href="classbdm_1_1UI.html" title="This class serves to load and/or save DOMElements into/from files stored on a hard-disk...">UI</a> builder. Return value is by the second argument since it type checking via <code>dynamic_cast</code>. <br></td></tr>
 <tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="dda27449f8bd19d54db9ccfb2644e908"></a><!-- doxytag: member="bdm::UI::build" ref="dda27449f8bd19d54db9ccfb2644e908" args="(const Setting &amp;element, const string &amp;name)" -->
 template&lt;class T &gt; </td></tr>
 <tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>build</b> (const Setting &amp;element, const string &amp;name)</td></tr>
 
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="32e63fc6ca11603442d46350bb66a76f"></a><!-- doxytag: member="bdm::UI::get" ref="32e63fc6ca11603442d46350bb66a76f" args="(T &amp;instance, const Setting &amp;element, const string &amp;name)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#32e63fc6ca11603442d46350bb66a76f">get</a> (T &amp;instance, const Setting &amp;element, const string &amp;name)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="0d197e27bb914fe6cc1ca41b90899742"></a><!-- doxytag: member="bdm::UI::get" ref="0d197e27bb914fe6cc1ca41b90899742" args="(T &amp;instance, const Setting &amp;element, const int index)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#0d197e27bb914fe6cc1ca41b90899742">get</a> (T &amp;instance, const Setting &amp;element, const int index)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="7b83f1e2352f9ed7fb65437dd33e2005"></a><!-- doxytag: member="bdm::UI::get" ref="7b83f1e2352f9ed7fb65437dd33e2005" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#7b83f1e2352f9ed7fb65437dd33e2005">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="472abdce7adb048a40ef3d84ed0f592d"></a><!-- doxytag: member="bdm::UI::get" ref="472abdce7adb048a40ef3d84ed0f592d" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)" -->
-template&lt;class T &gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#472abdce7adb048a40ef3d84ed0f592d">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)</td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="652bfd23f5052e4f1cb317057d74a3e2"></a><!-- doxytag: member="bdm::UI::get" ref="652bfd23f5052e4f1cb317057d74a3e2" args="(T &amp;instance, const Setting &amp;element, const string &amp;name)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#652bfd23f5052e4f1cb317057d74a3e2">get</a> (T &amp;instance, const Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3d04bb3d7dbcf0da0b4d5d3d5b7df51a"></a><!-- doxytag: member="bdm::UI::get" ref="3d04bb3d7dbcf0da0b4d5d3d5b7df51a" args="(T &amp;instance, const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#3d04bb3d7dbcf0da0b4d5d3d5b7df51a">get</a> (T &amp;instance, const Setting &amp;element, const int index)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="00bb5f2a328d272b0a3ffbda1a902d54"></a><!-- doxytag: member="bdm::UI::get" ref="00bb5f2a328d272b0a3ffbda1a902d54" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#00bb5f2a328d272b0a3ffbda1a902d54">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b6a224b6aea027e167d3d565b39144e0"></a><!-- doxytag: member="bdm::UI::get" ref="b6a224b6aea027e167d3d565b39144e0" args="(Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)" -->
+template&lt;class T &gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#b6a224b6aea027e167d3d565b39144e0">get</a> (Array&lt; T &gt; &amp;array_to_load, const Setting &amp;element, const int index)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to build a new double matrix. <br></td></tr>
@@ -128,8 +126,11 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double matrix. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc2afb61a772d8571f7bb19065da4695"></a><!-- doxytag: member="bdm::UI::save" ref="cc2afb61a772d8571f7bb19065da4695" args="(const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
-static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#cc2afb61a772d8571f7bb19065da4695">save</a> (const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vec. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#cc2afb61a772d8571f7bb19065da4695">save</a> (const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vec.  <a href="#cc2afb61a772d8571f7bb19065da4695"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7d4028226c09da8bdf442c1e183d564e"></a><!-- doxytag: member="bdm::UI::save" ref="7d4028226c09da8bdf442c1e183d564e" args="(const vec &amp;vector, Setting &amp;element, const string &amp;name)" -->
+static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UI.html#7d4028226c09da8bdf442c1e183d564e">save</a> (const vec &amp;vector, Setting &amp;element, const string &amp;name)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This methods tries to save a double vector. <br></td></tr>
 <tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d60234c0673f345424329894b9b0cef8"></a><!-- doxytag: member="bdm::UI::UI" ref="d60234c0673f345424329894b9b0cef8" args="(const string &amp;class_name, const type_info *const class_type_info)" -->
@@ -154,28 +155,31 @@
         UserInfo::build&lt;T&gt;(root,<span class="stringliteral">"TT"</span>);
 </pre></div><p>
-UserInfo is an abstract is for internal purposes only. Use CompoundUserInfo&lt;T&gt; or Particular_UI&lt;T&gt; instead. The raison d'etre of this class is to allow pointers to its templated descendants.Also, the main functions of the whole UserInfo library are included within this class, see static methods 'build' and 'save'.<p>
-/*!Builds computational object from a UserInfo structureReturn value is a pointer to the created object (memory management issue?) / <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="f0eccc7bbe4b680f3e1cb84b455a1125"></a><!-- doxytag: member="bdm::UI::build" ref="f0eccc7bbe4b680f3e1cb84b455a1125" args="(const Setting &amp;element, const int index)" -->
+UserInfo is an abstract is for internal purposes only. Use CompoundUserInfo&lt;T&gt; or Particular_UI&lt;T&gt; instead. The raison d'etre of this class is to allow pointers to its templated descendants.Also, the main functions of the whole UserInfo library are included within this class, see static methods 'build' and 'save'. <hr><h2>Member Function Documentation</h2>
+<a class="anchor" name="cc2afb61a772d8571f7bb19065da4695"></a><!-- doxytag: member="bdm::UI::save" ref="cc2afb61a772d8571f7bb19065da4695" args="(const ivec &amp;vec, Setting &amp;element, const string &amp;name=&quot;&quot;)" -->
 <div class="memitem">
 <div class="memproto">
-<div class="memtemplate">
-template&lt;class T &gt; </div>
       <table class="memname">
         <tr>
-          <td class="memname">static T* bdm::UI::build           </td>
+          <td class="memname">void bdm::UI::save           </td>
           <td>(</td>
-          <td class="paramtype">const Setting &amp;&nbsp;</td>
-          <td class="paramname"> <em>element</em>, </td>
+          <td class="paramtype">const ivec &amp;&nbsp;</td>
+          <td class="paramname"> <em>vec</em>, </td>
         </tr>
         <tr>
           <td class="paramkey"></td>
           <td></td>
-          <td class="paramtype">const int&nbsp;</td>
-          <td class="paramname"> <em>index</em></td><td>&nbsp;</td>
+          <td class="paramtype">Setting &amp;&nbsp;</td>
+          <td class="paramname"> <em>element</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>name</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
         </tr>
         <tr>
           <td></td>
           <td>)</td>
-          <td></td><td></td><td><code> [inline, static]</code></td>
+          <td></td><td></td><td><code> [static]</code></td>
         </tr>
       </table>
@@ -184,7 +188,7 @@
 
 <p>
-Prototype of a <a class="el" href="classbdm_1_1UI.html" title="This class serves to load and/or save DOMElements into/from files stored on a hard-disk...">UI</a> builder. Return value is by the second argument since it type checking via <code>dynamic_cast</code>. 
-<p>
-This methods tries to build a new instance of type T (or some of its descendant types) according to a data stored in a DOMNode named class_name within a child nodes of the passed element. If an ui_error occurs, it returns a NULL pointer. 
+This methods tries to save a double vec. 
+<p>
+This methods tries to save a integer vector. 
 </div>
 </div><p>
@@ -192,5 +196,5 @@
 <li><a class="el" href="user__info_8h-source.html">user_info.h</a><li>user_info.cpp</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jun 2 10:11:01 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Jun 8 18:02:35 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>