Index: doc/html/classbdm_1_1UI_1_1SettingsResolver.html
===================================================================
--- doc/html/classbdm_1_1UIexternal.html (revision 370)
+++ doc/html/classbdm_1_1UI_1_1SettingsResolver.html (revision 375)
@@ -1,5 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
 <html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>mixpp: bdm::UIexternal Class Reference</title>
+<title>mixpp: bdm::UI::UI::SettingsResolver Class Reference</title>
 <link href="tabs.css" rel="stylesheet" type="text/css">
 <link href="doxygen.css" rel="stylesheet" type="text/css">
@@ -65,30 +65,27 @@
     </ul>
   </div>
-  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1UIexternal.html">UIexternal</a>
+  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1UI.html">UI</a>::<a class="el" href="classbdm_1_1UI_1_1SettingsResolver.html">SettingsResolver</a>
   </div>
 </div>
 <div class="contents">
-<h1>bdm::UIexternal Class Reference</h1><!-- doxytag: class="bdm::UIexternal" --><!-- doxytag: inherits="bdm::UIbuilder" --><code>#include &lt;<a class="el" href="uibuilder_8h-source.html">uibuilder.h</a>&gt;</code>
+<h1>bdm::UI::UI::SettingsResolver Class Reference</h1><!-- doxytag: class="bdm::UI::SettingsResolver" --><code>#include &lt;<a class="el" href="user__info_8h-source.html">user_info.h</a>&gt;</code>
 <p>
 
 <p>
-<a href="classbdm_1_1UIexternal-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
+<a href="classbdm_1_1UI_1_1SettingsResolver-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76b8ff212e2082e2eeaf21694e68d21c"></a><!-- doxytag: member="bdm::UIexternal::build" ref="76b8ff212e2082e2eeaf21694e68d21c" args="(Setting &amp;S) const " -->
-<a class="el" href="classbdm_1_1bdmroot.html">bdmroot</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1UIexternal.html#76b8ff212e2082e2eeaf21694e68d21c">build</a> (Setting &amp;S) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0597eb3a99ca9c01cffec52441c8a8e8"></a><!-- doxytag: member="bdm::UI::SettingsResolver::SettingsResolver" ref="0597eb3a99ca9c01cffec52441c8a8e8" args="(const Setting &amp;potential_link)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>SettingsResolver</b> (const Setting &amp;potential_link)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function building the computational object. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5b09858b705318e7f23c3077fc62c199"></a><!-- doxytag: member="bdm::UI::SettingsResolver::root" ref="5b09858b705318e7f23c3077fc62c199" args="() const " -->
+const Setting &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>root</b> () const </td></tr>
+
 </table>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-Recursive build of objects defined in external file<p>
-<div class="fragment"><pre class="fragment">{type=<span class="stringliteral">"external"</span>;
-filename=<span class="stringliteral">"my_file.cfg"</span>;       <span class="comment">// name of file from which to read</span>
-path=<span class="stringliteral">"system.profile.[0]"</span>;    <span class="comment">// Path in the external file</span>
-};
-</pre></div> <hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="uibuilder_8h-source.html">uibuilder.h</a></ul>
+This methods tries to build a new instance of type T (or some of its descendant types) according to a data stored in a DOMNode named class_name within a child nodes of the passed element. If an error occurs, it returns a NULL pointer. <hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="user__info_8h-source.html">user_info.h</a><li>user_info.cpp</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Mon Jun 8 18:23:51 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Jun 15 13:47:08 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>