Index: bdm/estim/arx.h
===================================================================
--- bdm/estim/arx.h (revision 358)
+++ bdm/estim/arx.h (revision 377)
@@ -139,7 +139,7 @@
 	The estimator will assign names of the posterior in the form ["theta_i" and "r_i"]
 	*/
-	void from_setting( const Setting &root );
+	void from_setting( const Setting &set );
 
-	// TODO dodelat void to_setting( Setting &root ) const;
+	// TODO dodelat void to_setting( Setting &set ) const;
 };
 
Index: bdm/estim/libKF.cpp
===================================================================
--- bdm/estim/libKF.cpp (revision 358)
+++ bdm/estim/libKF.cpp (revision 377)
@@ -250,26 +250,26 @@
 }
 
-void EKFCh::from_setting( const Setting &root ) 
+void EKFCh::from_setting( const Setting &set ) 
 {	
-	diffbifn* IM = UI::build<diffbifn>(root, "IM");
-	diffbifn* OM = UI::build<diffbifn>(root, "OM");
+	diffbifn* IM = UI::build<diffbifn>(set, "IM");
+	diffbifn* OM = UI::build<diffbifn>(set, "OM");
 	
 	//statistics
 	int dim=IM->dimension();
 	vec mu0;
-	if(root.exists("mu0"))
-		UI::get( mu0, root, "mu0");
+	if(set.exists("mu0"))
+		UI::get( mu0, set, "mu0");
 	else
 		mu0=zeros(dim);
 
 	mat P0;
-	if(root.exists("dP0"))
+	if(set.exists("dP0"))
 	{
 		vec dP0;
-		UI::get( dP0, root, "dP0");
+		UI::get( dP0, set, "dP0");
 		P0=diag(dP0);
 	}
-	else if ( root.exists( "P0" ) )
-		UI::get(P0, root, "P0");
+	else if ( set.exists( "P0" ) )
+		UI::get(P0, set, "P0");
 	else
 		P0=eye(dim);
@@ -279,33 +279,33 @@
 	//parameters
 	vec dQ, dR;
-	UI::get( dQ, root, "dQ");
-	UI::get( dR, root, "dR");
+	UI::get( dQ, set, "dQ");
+	UI::get( dR, set, "dR");
 	set_parameters(IM, OM, diag(dQ), diag(dR));
 
 	//connect
-	RV* drv = UI::build<RV>(root, "drv");
+	RV* drv = UI::build<RV>(set, "drv");
 	set_drv(*drv);
-	RV* rv = UI::build<RV>(root, "rv");
+	RV* rv = UI::build<RV>(set, "rv");
 	set_rv(*rv);
 	
 	string options;
-	if(root.lookupValue( "options", options ))
+	if(set.lookupValue( "options", options ))
 		set_options(options);	
 }
 
-/*void EKFCh::to_setting( Setting &root ) const
+/*void EKFCh::to_setting( Setting &set ) const
 {	
-	Transport::to_setting( root );
-
-	Setting &kilometers_setting = root.add("kilometers", Setting::TypeInt );
+	Transport::to_setting( set );
+
+	Setting &kilometers_setting = set.add("kilometers", Setting::TypeInt );
 	kilometers_setting = kilometers;
 
-	UI::save( passengers, root, "passengers" );
+	UI::save( passengers, set, "passengers" );
 }*/
 
-void MultiModel::from_setting( const Setting &root ) 
+void MultiModel::from_setting( const Setting &set ) 
 {	
 	Array<EKFCh*> A;
-	UI::get( A, root, "models");
+	UI::get( A, set, "models");
 	
 	set_parameters(A);
@@ -314,16 +314,16 @@
 
 	string options;
-	if(root.lookupValue( "options", options ))
+	if(set.lookupValue( "options", options ))
 		set_options(options);	
 }
 
-/*void MultiModel::to_setting( Setting &root ) const
+/*void MultiModel::to_setting( Setting &set ) const
 {	
-	Transport::to_setting( root );
-
-	Setting &kilometers_setting = root.add("kilometers", Setting::TypeInt );
+	Transport::to_setting( set );
+
+	Setting &kilometers_setting = set.add("kilometers", Setting::TypeInt );
 	kilometers_setting = kilometers;
 
-	UI::save( passengers, root, "passengers" );
+	UI::save( passengers, set, "passengers" );
 }*/
 
Index: bdm/estim/arx.cpp
===================================================================
--- bdm/estim/arx.cpp (revision 358)
+++ bdm/estim/arx.cpp (revision 377)
@@ -194,8 +194,8 @@
 }
 
-void ARX::from_setting( const Setting &root ) 
+void ARX::from_setting( const Setting &set ) 
 {	
-	RV *yrv = UI::build<RV>(root,"y");
-	RV *rrv = UI::build<RV>(root,"rgr");
+	RV *yrv = UI::build<RV>(set,"y");
+	RV *rrv = UI::build<RV>(set,"rgr");
 	int ylen = yrv->_dsize();
 	int rgrlen = rrv->_dsize();
@@ -203,8 +203,8 @@
 	//init
 	mat V0;
-	if( root.exists("dV0") )
+	if( set.exists("dV0") )
 	{
 		vec dV0;
-		UI::get( dV0, root, "dV0" );
+		UI::get( dV0, set, "dV0" );
 		V0=diag ( dV0 );
 	}
@@ -213,9 +213,9 @@
 	
 	double nu0;
-	if ( !root.lookupValue( "nu0", nu0 ) ) 
+	if ( !set.lookupValue( "nu0", nu0 ) ) 
 		nu0 = rgrlen+ylen+2;
 
 	double frg;
-	if ( !root.lookupValue( "frg", frg ) ) 
+	if ( !set.lookupValue( "frg", frg ) ) 
 		frg = 1.0;
 
@@ -231,12 +231,12 @@
 }
 
-/*void ARX::to_setting( Setting &root ) const
+/*void ARX::to_setting( Setting &set ) const
 {	
-	Transport::to_setting( root );
-
-	Setting &kilometers_setting = root.add("kilometers", Setting::TypeInt );
+	Transport::to_setting( set );
+
+	Setting &kilometers_setting = set.add("kilometers", Setting::TypeInt );
 	kilometers_setting = kilometers;
 
-	UI::save( passengers, root, "passengers" );
+	UI::save( passengers, set, "passengers" );
 }*/
 
Index: bdm/estim/libKF.h
===================================================================
--- bdm/estim/libKF.h (revision 358)
+++ bdm/estim/libKF.h (revision 377)
@@ -260,7 +260,7 @@
 			void bayes ( const vec &dt );
 
-			void from_setting( const Setting &root );
-
-			// TODO dodelat void to_setting( Setting &root ) const;
+			void from_setting( const Setting &set );
+
+			// TODO dodelat void to_setting( Setting &set ) const;
 
 	};
@@ -457,7 +457,7 @@
 			const enorm<chmat>& posterior() const {return est;}
 
-			void from_setting( const Setting &root );
-
-			// TODO dodelat void to_setting( Setting &root ) const;
+			void from_setting( const Setting &set );
+
+			// TODO dodelat void to_setting( Setting &set ) const;
 
 	};