Index: doc/html/functions_func_0x65.html
===================================================================
--- doc/html/functions_func_0x65.html (revision 375)
+++ doc/html/functions_func_0x65.html (revision 380)
@@ -107,4 +107,6 @@
 <li>eEF()
 : <a class="el" href="classbdm_1_1eEF.html#d5459d472d0feca7cf1fb5f65c4b9ef4">bdm::eEF</a>
+<li>eEmp()
+: <a class="el" href="classbdm_1_1eEmp.html#a3daf6363455af099921715e1233c076">bdm::eEmp</a>
 <li>egiwmix()
 : <a class="el" href="classbdm_1_1egiwmix.html#41f4cf7baf554e0a70bf495457179dbb">bdm::egiwmix</a>
@@ -116,5 +118,6 @@
 : <a class="el" href="classbdm_1_1emix.html#4838f3a376ee0bd3c658bfb8f4ea4a3d">bdm::emix</a>
 <li>epredictor()
-: <a class="el" href="classbdm_1_1MixEF.html#edc50e9640f049b846084748b18469a2">bdm::MixEF</a>
+: <a class="el" href="classbdm_1_1ARX.html#4cdf5e2a7d3480ec31f6247ed4289b15">bdm::ARX</a>
+, <a class="el" href="classbdm_1_1MixEF.html#edc50e9640f049b846084748b18469a2">bdm::MixEF</a>
 , <a class="el" href="classbdm_1_1BM.html#688d7a2aced1e06aa1c468d73a9e5eba">bdm::BM</a>
 , <a class="el" href="classbdm_1_1ARX.html#749827323c034f11bec61b6e2fc3d42a">bdm::ARX</a>
@@ -126,18 +129,18 @@
 : <a class="el" href="classbdm_1_1egiw.html#88c321a2051d1afdbb31a098896a717b">bdm::egiw</a>
 <li>eval()
-: <a class="el" href="classbdm_1_1diffbifn.html#188f31066bd72e1bf0ddacd1eb0e6af3">bdm::diffbifn</a>
+: <a class="el" href="classbdm_1_1linfn.html#b8063094a2aa210dcf7ae73e2b85e09c">bdm::linfn</a>
+, <a class="el" href="classbdm_1_1diffbifn.html#188f31066bd72e1bf0ddacd1eb0e6af3">bdm::diffbifn</a>
 , <a class="el" href="classbdm_1_1bilinfn.html#846c21e8e8d41555eb7c075f5ff86ffd">bdm::bilinfn</a>
 , <a class="el" href="classbdm_1_1fnc.html#6277b11d7fffc7ef8a2fa3e84ae5bad4">bdm::fnc</a>
 , <a class="el" href="classbdm_1_1constfn.html#33c2631ddcad9e81ef4b743d83eed4d4">bdm::constfn</a>
-, <a class="el" href="classbdm_1_1linfn.html#b8063094a2aa210dcf7ae73e2b85e09c">bdm::linfn</a>
 <li>evallog()
 : <a class="el" href="classbdm_1_1eEmp.html#01654c014d3aa068f8d4ecba4be86d09">bdm::eEmp</a>
-, <a class="el" href="classbdm_1_1merger.html#c47543661897638cab9f506c76a1f92f">bdm::merger</a>
 , <a class="el" href="classbdm_1_1emix.html#0f3db99f730bde6b7953931594537e8e">bdm::emix</a>
 , <a class="el" href="classbdm_1_1eprod.html#a5a91e67d2f74ff2b0b8eecde2fa42e2">bdm::eprod</a>
 , <a class="el" href="classbdm_1_1epdf.html#deab266d63c236c277538867d5c3f249">bdm::epdf</a>
-, <a class="el" href="classbdm_1_1eEF.html#a36d06ecdd6f4c79dc122510eaccc692">bdm::eEF</a>
+, <a class="el" href="classbdm_1_1eEF.html#79a7c8ea8c02e45d410bd1d7ffd72b41">bdm::eEF</a>
 , <a class="el" href="classbdm_1_1egamma.html#a8e11e5a580ff42a1b205974c60768c6">bdm::egamma</a>
 , <a class="el" href="classbdm_1_1euni.html#caa07b8307bd793d5339d6583e0aba81">bdm::euni</a>
+, <a class="el" href="classbdm_1_1eEF.html#a36d06ecdd6f4c79dc122510eaccc692">bdm::eEF</a>
 <li>evallog_M()
 : <a class="el" href="classbdm_1_1emix.html#e64c1d5a73f541e469792e23d4677af2">bdm::emix</a>
@@ -148,16 +151,16 @@
 : <a class="el" href="classbdm_1_1egiw.html#bfb8e7c619b34ad804a73bff71742b5e">bdm::egiw</a>
 , <a class="el" href="classbdm_1_1eEF.html#a4135778ecd9ab774762936c82a097c6">bdm::eEF</a>
-, <a class="el" href="classbdm_1_1enorm.html#e13aeed5b543b2179bacdc4fa2ae47a3">bdm::enorm&lt; sq_T &gt;</a>
 , <a class="el" href="classbdm_1_1egiwmix.html#5713da45d66410382d6eca4e1b05a132">bdm::egiwmix</a>
 , <a class="el" href="classbdm_1_1eDirich.html#e09a24938e80c3d94b0ee842d1552318">bdm::eDirich</a>
+, <a class="el" href="classbdm_1_1enorm.html#e13aeed5b543b2179bacdc4fa2ae47a3">bdm::enorm&lt; sq_T &gt;</a>
 <li>evallogcond()
-: <a class="el" href="classbdm_1_1mpdf.html#6336a8a72462e2a56a3989a220f18b1b">bdm::mpdf</a>
-, <a class="el" href="classbdm_1_1mratio.html#3a2cbce8c61ca9f592d9c2220f7c1204">bdm::mratio</a>
+: <a class="el" href="classbdm_1_1mratio.html#3a2cbce8c61ca9f592d9c2220f7c1204">bdm::mratio</a>
 , <a class="el" href="classbdm_1_1mprod.html#800f21d94c919137608a2fd5c88719e2">bdm::mprod</a>
+, <a class="el" href="classbdm_1_1mpdf.html#6336a8a72462e2a56a3989a220f18b1b">bdm::mpdf</a>
 <li>evallogcond_m()
 : <a class="el" href="classbdm_1_1mpdf.html#0b0ed1ed663071bb7cf4a1349eb94fcb">bdm::mpdf</a>
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Mon Jun 15 13:47:07 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Jun 17 14:13:28 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>